SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   Lizard Cart CMS Vendors:   lizardcart.sourceforge.net
Lizard Cart CMS Missing Input Validation in 'id' Parameter Lets Remote Users Inject SQL Commands
SecurityTracker Alert ID:  1015435
SecurityTracker URL:  http://securitytracker.com/id/1015435
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jan 4 2006
Impact:   Disclosure of system information, Disclosure of user information, User access via network
Exploit Included:  Yes  
Version(s): 1.04
Description:   A vulnerability was reported in Lizard Cart CMS. A remote user can inject SQL commands.

The 'pages.php' and 'detail.php' scripts do not not properly validate user-supplied input in the 'id' parameter. If gpc_magic_quotes is disabled and register_globals is enabled, a remote user can supply a specially crafted parameter value to execute SQL commands on the underlying database.

Aliaksandr Hartsuyeu reported this vulnerability.

The original advisory is available at:

http://evuln.com/vulns/12/summary.html

Impact:   A remote user can execute SQL commands on the underlying database.
Solution:   No solution was available at the time of this entry.
Vendor URL:  lizardcart.sourceforge.net/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC